<?xml version="1.0" encoding="utf-8"?>
<layout>
        <data>
                <variable name="info" type="bums.lunatic.launcher.model.ShowingWeatherInfo"/>
        </data>
        <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="80dp"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            android:orientation="vertical"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:id="@+id/weather_item">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/amOrPm"
                    android:gravity="center"
                    android:text="@{info.amOrPm}"
                    android:fontFamily="sans-serif-medium"
                    android:textSize="14sp" />
                <TextView
                    android:layout_width="50dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/hour"
                    android:background="@drawable/date_bg"
                    android:fontFamily="sans-serif-medium"
                    android:gravity="center"
                    android:textSize="14sp"
                    android:text="@{info.textHour}"
                    android:textAlignment="center"/>
                <ImageView
                    android:id="@+id/imgDress"
                    android:layout_width="40dp"
                    android:src="@drawable/level_dress_img"
                    android:layout_height="40dp"
                    android:contentDescription="온도별 옷차림"
                    app:tint="@android:color/white"/>
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/textDress"
                    android:fontFamily="sans-serif-light"
                    android:textSize="11sp"
                    android:text="@{info.dress}"
                    android:gravity="center"
                    android:textAlignment="center"/>
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/temperature"
                    android:text="@{info.temp}"
                    android:fontFamily="sans-serif-medium"
                    android:textSize="14sp"
                    android:gravity="center"
                    android:textAlignment="center"/>
        </LinearLayout>
</layout>